Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624603 - rhel3 kvm guests during registration to satellite/spacewalk fails to read dmi info
rhel3 kvm guests during registration to satellite/spacewalk fails to read dmi...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 04:16 EDT by Jiri Kastner
Modified: 2010-08-24 10:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 10:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-08-17 04:16:21 EDT
Description of problem:
rhel3 kvm guests during registration to satellite/spacewalk fails to read dmi info and produces 'Reading DMI info failed'. hw information sent 

Version-Release number of selected component (if applicable):


How reproducible:
always on guests (i386/x86_64) running on rhel5/rhel6 kvm hosts.

Steps to Reproduce:
1. install spacewalk-1.1
2. prepare kvm host
3. create rhel3u9 guests
4. register to hosted
5. up2date system
6. sync empty rhel3 channels to spacewalk-1.1
7. register using rhnreg_ks to spacewalk-1.1
  
Actual results:
# rhnreg_ks --username=admin --password=admin --serverUrl=https://ibm-x3655-04.ovirt.rhts.eng.bos.redhat.com/XMLRPC --sslCACert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT --force
Reading DMI info failed

and click on hardware info shows internal server error

Expected results:
# rhnreg_ks --username=admin --password=admin --serverUrl=https://ibm-x3655-04.ovirt.rhts.eng.bos.redhat.com/XMLRPC --sslCACert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT --force

and click on hardware info shows hardware info

Additional info:
Comment 4 Jan Hutař 2010-08-18 07:34:53 EDT
Hore info from jkastner:
 * host might be RHEL5 or 6
 * guest is registred as a normal system (instead of consuming FGE)
 * SW shows ISE on HW info about registered client
Comment 9 Jiri Kastner 2010-08-19 04:37:33 EDT
when used http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/tests/rhn-client-tools/print_smbios.py?rev=1.3;content-type=text%2Fplain

#python print_smbios.py
WARNING: get_smbios() failed, falling back to RHEL4 get_hal_system_and_smbios()
WARNING: get_hal_system_and_smbios() failed, falling back to RHEL3 read_dmi()
Reading DMI info failed
<nothing>

Note You need to log in before you can comment on or make changes to this bug.